#!/usr/bin/env ansible-playbook
---
- name: Create proxy machines
  connection: local
  hosts: localhost
  vars:
    target_hosts_group: "{{ proxy_target_hosts_group }}"
    openstack_cloud: openstack
    machine_network: SRCNet-network
    machine_security_groups:
      - default
      - srcnet-proxy-sg
  roles:
    - description: create srcnet-proxy-1
      role: create_machine_openstack
      vars:
        machine_name: srcnet-proxy-1
        machine_image: rocky-9-nogui
        machine_key_name: eng-src-infrastructure-manager
        machine_ssh_user: root
        machine_flavor: l3.micro
        machine_floating_ip: 130.246.215.177
